package com.kdanmobile.reader.screen.view

import android.content.Context
import android.support.constraint.ConstraintLayout
import android.util.AttributeSet
import android.view.LayoutInflater
import android.view.View
import com.kdanmobile.reader.R
import kotlinx.android.synthetic.main.view_viewer_edit.view.*

class ViewerEditView : ConstraintLayout {

    constructor(context: Context) : super(context) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet, defStyle: Int) : super(context, attrs, defStyle) {
        initView()
    }

    private fun initView() {
        LayoutInflater.from(context).inflate(R.layout.view_viewer_edit, this)

        setupTabView()
    }

    private fun setupTabView() {
        viewerEdit_tab.onClickListenerTabTextBox = OnClickListener(this::setupTextBoxView)
    }

    private fun setupTextBoxView(view: View) {
        //TODO implements tab view and add to viewEdit_layout_tab_content
    }
}